## v1.4.2.tar.gz

=== common/os/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/common)

add_library(os STATIC
  w32tiger.c
  os.cxx
  tls.cxx)

if(UNIX)
  libtool_create_control_file(os)
endif()

=== common/rdr/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/common ${ZLIB_INCLUDE_DIRS})

add_library(rdr STATIC
  Exception.cxx
  FdInStream.cxx
  FdOutStream.cxx
  HexInStream.cxx
  HexOutStream.cxx
  InStream.cxx
  RandomStream.cxx
  TLSException.cxx
  TLSInStream.cxx
  TLSOutStream.cxx
  ZlibInStream.cxx
  ZlibOutStream.cxx)

set(RDR_LIBRARIES ${ZLIB_LIBRARIES} os)
if(GNUTLS_FOUND)
  set(RDR_LIBRARIES ${RDR_LIBRARIES} ${GNUTLS_LIBRARIES})
endif()
if(WIN32)
	set(RDR_LIBRARIES ${RDR_LIBRARIES} ws2_32)
endif()

target_link_libraries(rdr ${RDR_LIBRARIES})

if(UNIX)
  libtool_create_control_file(rdr)
endif()

=== contrib/packages/deb/ubuntu-trusty/debian/control ===
Source: tigervnc
Section: x11
Priority: optional
Maintainer: Brian P. Hinz <bphinz@users.sourceforge.net>
Standards-Version: 3.8.4
Build-Depends: debhelper (>> 7.1), zlib1g-dev, libjpeg-turbo8-dev, libxaw7-dev (>> 4.1.0), perl-modules, xfonts-base, xutils-dev, libx11-dev, libxau-dev, libxext-dev, libxi-dev, libxkbfile-dev, libxmu-dev, libxt-dev, x11proto-core-dev, cmake (>> 2.8), libgnutls28-dev, libpam0g-dev, libpng-dev, automake, autoconf, libtool, pkg-config, libpixman-1-dev, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-damage-dev, x11proto-dri2-dev, x11proto-fixes-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, libosmesa6-dev, libgl1-mesa-dev, libgl1-mesa-dri, libgl1-mesa-glx, libxfont-dev, x11proto-record-dev, default-jdk, libxtst-dev, libxft-dev, libexpat1-dev, libfontconfig1-dev, libxrender-dev, libt1-dev, libpciaccess-dev, curl, bzip2, quilt, libglu1-mesa-dev, libxcursor-dev, libxinerama-dev, libxfixes-dev
Homepage: http://www.tigervnc.com

Package: tigervncserver
Architecture: amd64 i386
Provides: xserver, vnc-server
Depends: x11-common | xserver-common, x11-utils, xauth, libbz2-1.0, libc6, libfontenc1, libfreetype6, libgcc1, libgcrypt11, libgl1-mesa-dri, libgnutls28, libgpg-error0, libjpeg-turbo8, libp11-kit0, libpam0g, libpixman-1-0, libstdc++6, libtasn1-3-bin, libx11-6, libxau6, libxcb1, libxdmcp6, libxext6, libxfont1, libxtst6, zlib1g, libglu1-mesa, libxcursor1, libxinerama1, libxfixes3
Recommends: xfonts-base, x11-xserver-utils
Suggests: xtigervncviewer, tigervnc-java
Description: virtual network computing server software
 Virtual Network Computing (VNC) is a remote display system which allows you to
 view and interact with a virtual desktop environment that is running on another
 computer on the network.  Using VNC, you can run graphical applications on a
 remote machine and send only the display from these applications to your local
 machine.  VNC is platform-independent and supports a wide variety of operating
 systems and architectures as both servers and clients.
 .
 TigerVNC is a high-speed version of VNC based on the RealVNC 4 and X.org code
 bases.  TigerVNC started as a next-generation development effort for TightVNC
 on Unix and Linux platforms, but it split from its parent project in early 2009
 so that TightVNC could focus on Windows platforms.  TigerVNC supports a variant
 of Tight encoding that is greatly accelerated by the use of the libjpeg-turbo
 JPEG codec.

Package: xtigervncviewer
Architecture: amd64 i386
Provides: vncviewer, vnc-viewer
Depends: libc6, libexpat1, libfontconfig1, libfreetype6, libgcc1, libgcrypt11, libgnutls28, libgpg-error0, libjpeg-turbo8, libp11-kit0, libpng12-0, libstdc++6, libtasn1-3-bin, libx11-6, libxau6, libxcb1, libxdmcp6, libxext6, libxft2, libxrender1, zlib1g, libglu1-mesa, libxcursor1, libxinerama1, libxfixes3
Recommends: xfonts-base
Suggests: tigervncserver, ssh
Description: virtual network computing client software for X
 Virtual Network Computing (VNC) is a remote display system which allows you to
 view and interact with a virtual desktop environment that is running on another
 computer on the network.  Using VNC, you can run graphical applications on a
 remote machine and send only the display from these applications to your local
 machine.  VNC is platform-independent and supports a wide variety of operating
 systems and architectures as both servers and clients.
 .
 TigerVNC is a high-speed version of VNC based on the RealVNC 4 and X.org code
 bases.  TigerVNC started as a next-generation development effort for TightVNC
 on Unix and Linux platforms, but it split from its parent project in early 2009
 so that TightVNC could focus on Windows platforms.  TigerVNC supports a variant
 of Tight encoding that is greatly accelerated by the use of the libjpeg-turbo
 JPEG codec.

Package: tigervnc-java
Architecture: any
Suggests: tigervncserver
Provides: vncviewer, vnc-viewer
Depends:  default-jre
Description: TigerVNC java applet
 Virtual Network Computing (VNC) is a remote display system which allows you to
 view and interact with a virtual desktop environment that is running on another
 computer on the network.  Using VNC, you can run graphical applications on a
 remote machine and send only the display from these applications to your local
 machine.  VNC is platform-independent and supports a wide variety of operating
 systems and architectures as both servers and clients.
 .
 TigerVNC is a high-speed version of VNC based on the RealVNC 4 and X.org code
 bases.  TigerVNC started as a next-generation development effort for TightVNC
 on Unix and Linux platforms, but it split from its parent project in early 2009
 so that TightVNC could focus on Windows platforms.  TigerVNC supports a variant
 of Tight encoding that is greatly accelerated by the use of the libjpeg-turbo
 JPEG codec.

=== contrib/packages/deb/ubuntu-precise/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
#DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
#DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif
SOURCE_NAME    := tigervnc
SOURCE_VERSION := $(shell dpkg-parsechangelog | awk -F': ' '/^Version: / {print $$2}')
BUILDER=For technical support please see http://sourceforge.net/projects/tigervnc/support


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g -O2 -fPIC
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export CC = gcc

get-orig-source: $(SOURCE_NAME)_$(SOURCE_VERSION).orig.tar.gz
	@

$(SOURCE_NAME)_$(SOURCE_VERSION).orig.tar.gz:
	$(CURDIR)/get-orig-source.sh

configure: config-stamp
config-stamp:
	dh_testdir
	# Add here commands to configure the package.
	(cd fltk-*;cmake -G"Unix Makefiles" \
  	-DCMAKE_INSTALL_PREFIX=/usr \
  	-DCMAKE_BUILD_TYPE=Release \
  	-DOPTION_PREFIX_LIB=/usr/lib \
  	-DOPTION_PREFIX_CONFIG=/usr/lib \
  	-DOPTION_BUILD_EXAMPLES=off \
  	-DOPTION_USE_SYSTEM_LIBPNG=on;make) 
	cmake -G"Unix Makefiles" \
    -DBUILD_STATIC=off \
  	-DCMAKE_INSTALL_PREFIX=/usr \
  	-DFLTK_LIBRARIES="$(CURDIR)/fltk-1.3.2/lib/libfltk.a;$(CURDIR)/fltk-1.3.2/lib/libfltk_images.a;-lpng" \
  	-DFLTK_INCLUDE_DIR=$(CURDIR)/fltk-1.3.2
	(cd unix/xserver; \
	export PIXMANINCDIR=/usr/include/pixman-1; \
	autoreconf -fiv; \
	./configure --prefix=/usr \
		--disable-silent-rules \
		--disable-static \
		--without-dtrace \
		--disable-strict-compilation \
		--disable-debug \
		--disable-unit-tests \
		--with-int10=x86emu \
		--with-extra-module-dir="/usr/lib/${DEB_HOST_MULTIARCH}/xorg/extra-modules,/usr/lib/xorg/extra-modules" \
		--with-os-vendor="$(VENDOR)" \
		--with-builderstring="$(SOURCE_NAME) $(SOURCE_VERSION) ($(BUILDER))" \
		--with-xkb-path=/usr/share/X11/xkb \
		--with-xkb-output=/var/lib/xkb \
		--with-default-xkb-rules=evdev \
		--disable-devel-docs \
		--disable-install-libxf86config \
		--enable-mitshm \
		--enable-xres \
		--disable-xcsecurity \
		--disable-xcalibrate \
		--disable-tslib \
		--enable-dbe \
		--disable-xf86bigfont \
		--disable-dpms \
		--disable-config-dbus \
		--disable-config-hal \
		--disable-config-udev \
		--disable-xorg \
		--disable-xquartz \
		--disable-xwin \
		--disable-xfake \
		--disable-install-setuid \
		--enable-gestures \
		--with-default-font-path="/usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,built-ins" \
		--enable-aiglx \
		--enable-glx-tls \
		--enable-registry \
		--enable-composite \
		--enable-record \
		--enable-xv \
		--enable-xvmc \
		--enable-dga \
		--enable-screensaver \
		--enable-xdmcp \
		--enable-xdm-auth-1 \
		--enable-glx \
		--disable-dri --enable-dri2 \
		--disable-xinerama \
		--enable-xf86vidmode \
		--enable-xace \
		--disable-selinux \
		--enable-xfree86-utils \
		--disable-dmx \
		--disable-xvfb \
		--disable-xnest \
		--disable-kdrive \
		--disable-xephyr \
		--enable-xfbdev \
		--with-sha1=libgcrypt \
		--enable-xcsecurity \
		--disable-docs \
		--disable-selective-werror)
	touch config-stamp

build-arch: config-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	# Build first things.
	# Build Xvnc
	make LDFLAGS="-lpng" 
	(cd unix/xserver;make)

	touch build-arch-stamp

build-indep: config-stamp  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/vnc.sgml > vnc.1
	(cd media;make)
	(cd java;cmake -G"Unix Makefiles";make)

	touch build-indep-stamp

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config-stamp
	
	# Add here commands to clean up after the build process.
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/vnc.
	# tigervncserver
	make install DESTDIR=$(CURDIR)/debian/tigervncserver
	(cd unix/xserver/hw/vnc; make install DESTDIR=$(CURDIR)/debian/tigervncserver)
	mv $(CURDIR)/debian/tigervncserver/usr/bin/Xvnc \
		$(CURDIR)/debian/tigervncserver/usr/bin/Xtigervnc
	mv $(CURDIR)/debian/tigervncserver/usr/bin/vncconfig \
		$(CURDIR)/debian/tigervncserver/usr/bin/tigervncconfig
	mv $(CURDIR)/debian/tigervncserver/usr/bin/vncpasswd \
		$(CURDIR)/debian/tigervncserver/usr/bin/tigervncpasswd
	mv $(CURDIR)/debian/tigervncserver/usr/bin/vncserver \
		$(CURDIR)/debian/tigervncserver/usr/bin/tigervncserver
	mv $(CURDIR)/debian/tigervncserver/usr/bin/x0vncserver \
		$(CURDIR)/debian/tigervncserver/usr/bin/x0tigervncserver
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/vncconfig.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/tigervncconfig.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/vncpasswd.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/tigervncpasswd.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/vncserver.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/tigervncserver.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/x0vncserver.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/x0tigervncserver.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/Xvnc.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/Xtigervnc.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/doc/tigervnc-* \
		$(CURDIR)/debian/tigervncserver/usr/share/doc/tigervncserver
	rm $(CURDIR)/debian/tigervncserver/usr/lib/xorg/modules/extensions/libvnc.la
	rm $(CURDIR)/debian/tigervncserver/usr/bin/vncviewer
	rm $(CURDIR)/debian/tigervncserver/usr/share/man/man1/vncviewer.1
	install -o root -g root -m 755 -D $(CURDIR)/debian/local/vncserver.service \
		$(CURDIR)/debian/tigervncserver/etc/init.d/vncserver
	install -o root -g root -m 644 -D $(CURDIR)/debian/local/vncserver.sysconfig \
		$(CURDIR)/debian/tigervncserver/etc/default/vncservers
	# xtigervncviewer
	(cd vncviewer; make install DESTDIR=$(CURDIR)/debian/xtigervncviewer)
	# Install desktop stuff
	mv $(CURDIR)/debian/xtigervncviewer/usr/bin/vncviewer \
		$(CURDIR)/debian/xtigervncviewer/usr/bin/xtigervncviewer
	mv $(CURDIR)/debian/xtigervncviewer/usr/share/man/man1/vncviewer.1 \
		$(CURDIR)/debian/xtigervncviewer/usr/share/man/man1/xtigervncviewer.1
	install -o root -g root -m 644 -D media/icons/tigervnc_16.png \
		$(CURDIR)/debian/xtigervncviewer/usr/share/icons/hicolor/16x16/apps/tigervnc.png
	install -o root -g root -m 644 -D media/icons/tigervnc_22.png \
		$(CURDIR)/debian/xtigervncviewer/usr/share/icons/hicolor/22x22/apps/tigervnc.png
	install -o root -g root -m 644 -D media/icons/tigervnc_24.png \
		$(CURDIR)/debian/xtigervncviewer/usr/share/icons/hicolor/24x24/apps/tigervnc.png
	install -o root -g root -m 644 -D media/icons/tigervnc_32.png \
		$(CURDIR)/debian/xtigervncviewer/usr/share/icons/hicolor/32x32/apps/tigervnc.png

=== contrib/packages/deb/ubuntu-trusty/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS CPPFLAGS CXXFLAGS LDFLAGS

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
#DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
#DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif
SOURCE_NAME    := tigervnc
SOURCE_VERSION := $(shell dpkg-parsechangelog | awk -F': ' '/^Version: / {print $$2}')
BUILDER=For technical support please see http://sourceforge.net/projects/tigervnc/support
libdir = /usr/lib/$(DEB_HOST_MULTIARCH)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g -O2 -fPIC
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export CC = gcc

XCFLAGS = -Wall -Wunused -Wno-format-y2k -fPIE -fno-strict-aliasing

get-orig-source: $(SOURCE_NAME)_$(SOURCE_VERSION).orig.tar.gz
	@

$(SOURCE_NAME)_$(SOURCE_VERSION).orig.tar.gz:
	$(CURDIR)/get-orig-source.sh

configure: config-stamp
config-stamp:
	dh_testdir
	# Add here commands to configure the package.
	(cd fltk-*;DSOFLAGS="$(filter-out -fPIE -pie,$(LDFLAGS))" \
    ./configure --enable-shared=no --enable-cairo --enable-cp936 \
    --with-optim="$(CFLAGS) $(XCFLAGS)" --libdir=$(libdir);make)
	cmake -G"Unix Makefiles" \
    -DBUILD_STATIC=off \
  	-DCMAKE_INSTALL_PREFIX=/usr \
  	-DFLTK_LIBRARIES="$(CURDIR)/fltk-1.3.2/lib/libfltk.a;$(CURDIR)/fltk-1.3.2/lib/libfltk_images.a;-lpng" \
  	-DFLTK_INCLUDE_DIR=$(CURDIR)/fltk-1.3.2
	(cd unix/xserver; \
	export PIXMANINCDIR=/usr/include/pixman-1; \
	autoreconf -fiv; \
	./configure --prefix=/usr \
		--disable-silent-rules \
		--disable-static \
		--without-dtrace \
		--disable-strict-compilation \
		--disable-debug \
		--disable-unit-tests \
		--with-int10=x86emu \
		--with-extra-module-dir="/usr/lib/${DEB_HOST_MULTIARCH}/xorg/extra-modules,/usr/lib/xorg/extra-modules" \
		--with-os-vendor="$(VENDOR)" \
		--with-builderstring="$(SOURCE_NAME) $(SOURCE_VERSION) ($(BUILDER))" \
		--with-xkb-path=/usr/share/X11/xkb \
		--with-xkb-output=/var/lib/xkb \
		--with-default-xkb-rules=evdev \
		--disable-devel-docs \
		--disable-install-libxf86config \
		--enable-mitshm \
		--enable-xres \
		--disable-xcsecurity \
		--disable-xcalibrate \
		--disable-tslib \
		--enable-dbe \
		--disable-xf86bigfont \
		--disable-dpms \
		--disable-config-dbus \
		--disable-config-hal \
		--disable-config-udev \
		--disable-xorg \
		--disable-xquartz \
		--disable-xwin \
		--disable-xfake \
		--disable-install-setuid \
		--enable-gestures \
		--with-default-font-path="/usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,built-ins" \
		--enable-aiglx \
		--enable-glx-tls \
		--enable-registry \
		--enable-composite \
		--enable-record \
		--enable-xv \
		--enable-xvmc \
		--enable-dga \
		--enable-screensaver \
		--enable-xdmcp \
		--enable-xdm-auth-1 \
		--enable-glx \
		--disable-dri --enable-dri2 --enable-dri3 \
		--disable-xinerama \
		--enable-xf86vidmode \
		--enable-xace \
		--disable-selinux \
		--enable-xfree86-utils \
		--disable-dmx \
		--disable-xvfb \
		--disable-xnest \
		--disable-kdrive \
		--disable-xephyr \
		--enable-xfbdev \
		--with-sha1=libgcrypt \
		--enable-xcsecurity \
		--disable-docs \
		--disable-selective-werror)
	touch config-stamp

build-arch: config-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	# Build first things.
	# Build Xvnc
	make LDFLAGS="-lpng" 
	(cd unix/xserver;make)

	touch build-arch-stamp

build-indep: config-stamp  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/vnc.sgml > vnc.1
	(cd media;make)
	(cd java;cmake -G"Unix Makefiles";make)

	touch build-indep-stamp

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config-stamp
	
	# Add here commands to clean up after the build process.
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/vnc.
	# tigervncserver
	make install DESTDIR=$(CURDIR)/debian/tigervncserver
	(cd unix/xserver/hw/vnc; make install DESTDIR=$(CURDIR)/debian/tigervncserver)
	mv $(CURDIR)/debian/tigervncserver/usr/bin/Xvnc \
		$(CURDIR)/debian/tigervncserver/usr/bin/Xtigervnc
	mv $(CURDIR)/debian/tigervncserver/usr/bin/vncconfig \
		$(CURDIR)/debian/tigervncserver/usr/bin/tigervncconfig
	mv $(CURDIR)/debian/tigervncserver/usr/bin/vncpasswd \
		$(CURDIR)/debian/tigervncserver/usr/bin/tigervncpasswd
	mv $(CURDIR)/debian/tigervncserver/usr/bin/vncserver \
		$(CURDIR)/debian/tigervncserver/usr/bin/tigervncserver
	mv $(CURDIR)/debian/tigervncserver/usr/bin/x0vncserver \
		$(CURDIR)/debian/tigervncserver/usr/bin/x0tigervncserver
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/vncconfig.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/tigervncconfig.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/vncpasswd.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/tigervncpasswd.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/vncserver.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/tigervncserver.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/x0vncserver.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/x0tigervncserver.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/man/man1/Xvnc.1 \
		$(CURDIR)/debian/tigervncserver/usr/share/man/man1/Xtigervnc.1
	mv $(CURDIR)/debian/tigervncserver/usr/share/doc/tigervnc-* \
		$(CURDIR)/debian/tigervncserver/usr/share/doc/tigervncserver
	rm $(CURDIR)/debian/tigervncserver/usr/lib/xorg/modules/extensions/libvnc.la
	rm $(CURDIR)/debian/tigervncserver/usr/bin/vncviewer
	rm $(CURDIR)/debian/tigervncserver/usr/share/man/man1/vncviewer.1
	install -o root -g root -m 755 -D $(CURDIR)/debian/local/vncserver.service \
		$(CURDIR)/debian/tigervncserver/etc/init.d/vncserver
	install -o root -g root -m 644 -D $(CURDIR)/debian/local/vncserver.sysconfig \
		$(CURDIR)/debian/tigervncserver/etc/default/vncservers
	# xtigervncviewer
	(cd vncviewer; make install DESTDIR=$(CURDIR)/debian/xtigervncviewer)
	# Install desktop stuff
	mv $(CURDIR)/debian/xtigervncviewer/usr/bin/vncviewer \
		$(CURDIR)/debian/xtigervncviewer/usr/bin/xtigervncviewer
	mv $(CURDIR)/debian/xtigervncviewer/usr/share/man/man1/vncviewer.1 \
		$(CURDIR)/debian/xtigervncviewer/usr/share/man/man1/xtigervncviewer.1
	install -o root -g root -m 644 -D media/icons/tigervnc_16.png \
		$(CURDIR)/debian/xtigervncviewer/usr/share/icons/hicolor/16x16/apps/tigervnc.png
	install -o root -g root -m 644 -D media/icons/tigervnc_22.png \
